|  | Home | Documentation | ISAPI_Server Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
ISAPI_Server Class Reference

`#include <ISAPI_Server.h>`

## Static Public Member Functions
static DWORD | HttpExtensionProc (EXTENSION_CONTROL_BLOCK *pECB)
static BOOL | GetExtensionVersion (OUT HSE_VERSION_INFO *pVer)
static BOOL | TerminateExtension (DWORD dwFlags)

## Detailed Description

Internet Server Application Programming Interface server.

## Member Function Documentation

BOOL ISAPI_Server::GetExtensionVersion | ( | OUT HSE_VERSION_INFO * | pVer | ) |
| static

DWORD ISAPI_Server::HttpExtensionProc | ( | EXTENSION_CONTROL_BLOCK * | pECB | ) |
| static

Parse the request, load dll if not already loaded, let it create the response and return the result.

BOOL ISAPI_Server::TerminateExtension | ( | DWORD | dwFlags | ) |
| static

The documentation for this class was generated from the following files:

- ISAPI_Server.h
- ISAPI_Server.cpp